# KeyboardButton - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.buttons / KeyboardButton

# KeyboardButton

(common) `sealed class KeyboardButton` (source)

### Properties

(common)

#### text

`abstract val text: String`

### Inheritors

(common)

#### RequestContactKeyboardButton

`data class RequestContactKeyboardButton : KeyboardButton`

(common)

#### RequestLocationKeyboardButton

`data class RequestLocationKeyboardButton : KeyboardButton`

(common)

#### RequestPollKeyboardButton

`data class RequestPollKeyboardButton : KeyboardButton`

(common)

#### SimpleKeyboardButton

`data class SimpleKeyboardButton : KeyboardButton`

(common)

#### UnknownKeyboardButton

`data class UnknownKeyboardButton : KeyboardButton`